PACKAGE or_timer 
IS
   PROCEDURE capture (context_in IN VARCHAR2);

   PROCEDURE show_elapsed 
      (prefix_in IN VARCHAR2 := NULL,
       reset_in IN VARCHAR2 := 'RESET',
		 context_in IN VARCHAR2 := NULL);

   FUNCTION elapsed RETURN NUMBER;

END or_timer;

PACKAGE BODY or_timer 
IS
   PROCEDURE capture (context_in IN VARCHAR2)
   IS
   BEGIN
      sp_timer.capture (context_in);
   END;

   PROCEDURE show_elapsed 
      (prefix_in IN VARCHAR2 := NULL,
       reset_in IN VARCHAR2 := 'RESET',
		 context_in IN VARCHAR2 := NULL)
   IS
   BEGIN
      SRW.MESSAGE 
			(0, sp_timer.elapsed_message (prefix_in, reset_in, context_in));
   END;

   FUNCTION elapsed RETURN NUMBER IS
   BEGIN
      RETURN sp_timer.elapsed;
   END;

END or_timer;

